Nini Library API Reference - http://nini.sourceforge.net/ |

# IConfig Methods

The methods of the IConfig interface are listed below. For a complete list of IConfig interface members, see the IConfig Members topic.

#### Public Instance Methods

Contains | Returns true if the configuration key is present.
Get | Overloaded. Returns a string key value.
GetBoolean | Overloaded. Returns a boolean key value.
GetDouble | Overloaded. Returns a double key value.
GetExpanded | Returns the expanded string value. This method does not replace the other key values in the IConfigSource.
GetFloat | Overloaded. Returns a float key value.
GetInt | Overloaded. Returns an integer key value.
GetKeys | Returns an Array of the key strings.
GetLong | Overloaded. Returns an long key value.
GetString | Overloaded. Returns a string key value.
GetValues | Returns an Array of all key values.
Remove | Removes a configuration key.
Set | Sets a key value.

#### See Also

IConfig Interface | Nini.Config Namespace